{% macro input(id, name, title, value, placeholder, type)%}
<div class="form-group">
	<label for="{{ id }}" class="col-sm-2 control-label">{{ title|e }}</label>
	<div class="col-sm-10">
		<input{%  if type %} type="{{ type }}" {%  endif %} class="form-control" id="{{ id }}" name="{{ name }}" value="{{ value|e('html_attr') }}"	placeholder="{{ placeholder|e('html_attr') }}">
	</div>
</div>
{% endmacro %}

{% macro input_dis(id, name, title, value, placeholder, type)%}
<div class="form-group">
	<label for="{{ id }}" class="col-sm-2 control-label">{{ title|e }}</label>
	<div class="col-sm-10">
		<input{%  if type %} type="{{ type }}" {%  endif %} class="form-control" readonly="readonly" disabled="disabled" id="{{ id }}" name="{{ name }}" value="{{ value|e('html_attr') }}"	placeholder="{{ placeholder|e('html_attr') }}">
	</div>
</div>
{% endmacro %}

{% macro textarea(id, name, title, value, placeholder, rows)%}
<div class="form-group">
	<label for="{{ id }}" class="col-sm-2 control-label">{{ title|e }}</label>
	<div class="col-sm-10">
		<textarea class="form-control" id="{{ id }}" name="{{ name }}" rows="{{ rows|default('3') }}" placeholder="{{ placeholder|e('html_attr') }}">{{ value|e }}</textarea>
	</div>
</div>
{% endmacro %}